
Redmine - Defect #19259

POPAuthenticationError: Command is not valid in this state

2015-03-03 18:01 - John Nguyen

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.6.2

Description

When attempting to retrieve email via POP3, I came across an error Net::POPAuthenticationError: -ERR Command is not valid in this

state.

The command I used was:

rake redmine:email:receive_pop3 RAILS_ENV="production" host=exch.abc.local username=redmine@abc.local

password=password123

I haved tried many different variations but after looking at the Ruby on Rails documentation, the host was replaced with address then

my error no longer appear:

rake redmine:email:receive_pop3 RAILS_ENV="production" address=exch.abc.local username=redmine@abc.local

password=password123

History

#1 - 2015-03-03 18:15 - John Nguyen

I should mention that my deployment is Bitnami Redmine 2.6.2, sorry.

#2 - 2015-03-29 08:02 - Toshi MARUYAMA

- Affected version changed from 3.0.0 to 2.6.2

#3 - 2015-03-29 08:08 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Please contact bitnami team.
